Summary:	Additional artwork for the Xfce Desktop Environment
Name:		xfce4-artwork
Version:	0.2
Release:	%mkrel 24
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/artwork/xfce4-artwork
Source0:	%{name}-%{version}.tar.bz2
BuildArch:	noarch

%description
Additional artwork for the Xfce Desktop Environment.

%prep
%setup -q

#drop broken xfce-rio.png
rm -rf backdrops/xfce-rio.png

#fix file extension (mga#24811)
if [ "$(file ./backdrops/xfce-cartoon.jpg --extension -b)" == "png" ]; then
  mv ./backdrops/xfce-cartoon.jpg ./backdrops/xfce-cartoon.png
fi

%build
%configure
%make_build

%install
%make_install backdropsdir=%{_datadir}/backgrounds/xfce

%files
%doc README ChangeLog AUTHORS
%{_datadir}/backgrounds/xfce/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2-24.mga10
+ Revision: 2205601
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2-23.mga9
+ Revision: 1811665
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.2-22.mga8
+ Revision: 1526292
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue May 14 2019 wally <wally> 0.2-21.mga7
+ Revision: 1397690
- fix xfce-cartoon's wrong file extension (mga#24811)

* Wed Sep 19 2018 umeabot <umeabot> 0.2-20.mga7
+ Revision: 1277202
- Mageia 7 Mass Rebuild

* Tue Sep 20 2016 wally <wally> 0.2-19.mga6
+ Revision: 1054605
- drop broken xfce-rio.png (mga#19418)

* Sat Feb 06 2016 umeabot <umeabot> 0.2-18.mga6
+ Revision: 940012
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2-17.mga5
+ Revision: 748581
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2-16.mga5
+ Revision: 690600
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2-15.mga4
+ Revision: 520506
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.2-14.mga3
+ Revision: 386789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 05 2012 wally <wally> 0.2-13.mga3
+ Revision: 278742
- move background images to a new location used in Xfce 4.10
- clean .spec

* Thu Mar 10 2011 ahmad <ahmad> 0.2-12.mga1
+ Revision: 67938
- imported package xfce4-artwork


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-12mdv2011.0
+ Revision: 615556
- the mass rebuild of 2010.1 packages

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-11mdv2010.1
+ Revision: 543288
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.2-10mdv2010.0
+ Revision: 445937
- rebuild

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-9mdv2009.1
+ Revision: 349194
- rebuild whole xfce

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.2-8mdv2009.0
+ Revision: 262333
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.2-7mdv2009.0
+ Revision: 256811
- rebuild

* Thu Jan 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-5mdv2008.1
+ Revision: 153957
- obsolete older release

* Mon Dec 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-4mdv2008.1
+ Revision: 131630
- bump tag to remove xfce-artwork from mirrors

* Sat Dec 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-3mdv2008.1
+ Revision: 120307
- use upstream name
- do not package INSTALL and COPYING files
- new license policy
- use tarball name as a real name

* Wed May 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-3mdv2008.0
+ Revision: 32785
- remove requires on task-xfce

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-2mdv2008.0
+ Revision: 32564
- add provides/obsoletes xfce4-artwork

* Mon May 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-1mdv2008.0
+ Revision: 32139
- rename to xfce-artwork
- add some new fancy wallpapers
- requires task-xfce
- spec file clean


* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.1-3mdv2007.0
+ Revision: 103269
- Rebuild for latest xfce

* Thu Oct 26 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.1-2mdv2007.1
+ Revision: 72539
- Rebuild
- import xfce4-artwork-0.1-1mdv2007.0

* Sat Jun 24 2006 Charles A Edwards <eslrahc@mandriva.org> 0.1-1mdv2007.0
- 0.1

* Wed Jun 07 2006 Charles A Edwards <eslrahc@mandriva.org> 0.0.4-3mdv2007.0
- mkrel
- rebuild

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.0.4-2mdk
- group: Graphical desktop/Xfce
- s/XFce4/Xfce

